<?php namespace App\Models\Admin;

use App\Models\Project\DatatableModel;

class DealerModel extends AdminModel{
	private $table;
	
    public function __construct(){
		parent::__construct();
		$this->table = "dealer";
    }
	
	public function get_datatable(){
		$dtObj = new DatatableModel($this->db);
		$dtObj->set_table($this->table);
		// Set Datatable columns 
		$dtObj->set_column('dealer_id', 'desc|sort|search', 'RecordID');
		$dtObj->set_column('title','sort|search');
		$dtObj->set_column('document_file', '');
		$dtObj->set_column('status', 'sort|search');
		$builder = $dtObj->get_builder();
		$builder->where('is_deleted','No');
	    return $dtObj->get_data($builder);
	}
	
	public function get($dealer_id){
		$builder = $this->db->table($this->table);
		$query = $builder->where('dealer_id',$dealer_id)->get();
		return $query->getRowArray();
	}
	
	public function insert($data){
		 
		$this->add_insert_log($data);
		$builder = $this->db->table($this->table);
		$builder->insert($data);
	}
	
	public function update($data, $dealer_id){
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('dealer_id',$dealer_id);
		$builder->update($data);
	}
	
	public function delete($dealer_id){
		$data['is_deleted'] = "Yes";
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('dealer_id',$dealer_id)
				->update($data);
	}
	
	public function is_unique_title($title,$dealer_id){
		$builder = $this->db->table($this->table);
		$builder->where('is_deleted','No')
				->where('title',$title);
		if($dealer_id){
			$builder->where('dealer_id!=',$dealer_id);
		}
		$query = $builder->get();
		if($query->getRowArray()){
			$response = "FALSE|The Name already exist!";
		}else{
			$response = "TRUE|";
		}
		return $response;
	}
}